Bug 849584 - coreutils-8.20 is available
coreutils-8.20 is available
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: FutureFeature, Triaged
: 869512 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-08-20 05:34 EDT by Upstream Release Monitoring
Modified: 2012-11-02 04:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-02 04:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-08-20 05:34:42 EDT
Latest upstream release: 8.19
Current version in Fedora Rawhide: 8.17
URL: http://ftp.gnu.org/gnu/coreutils/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
Comment 1 Ondrej Vasik 2012-08-20 06:08:57 EDT
Changes for the new release commited to dist-git ( http://lists.fedoraproject.org/pipermail/scm-commits/2012-August/847109.html ), however it requires runuser changes to be added into util-linux in sync with coreutils change. Otherwise, there will be no su/runuser binary on the system. I do plan to make a build later. DO NOT BUILD the package (If built by accident, it will need untag anyway, otherwise the basic build tree will be broken)!

I do plan to make an update for Fedora 18 with http://git.savannah.gnu.org/cgit/coreutils.git/commit/src/sort.c?id=eb3f5b3b3de8c6ca005a701f09bff43d778aece7 and http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=574b7c7dbec8821d03a462796968847783d07c29 (sort -u potential dataloss fix and FMR).
Comment 2 Ondrej Vasik 2012-10-24 05:45:22 EDT
*** Bug 869512 has been marked as a duplicate of this bug. ***
Comment 3 Ondrej Vasik 2012-10-24 05:46:19 EDT
Still not done, hopefully next week... it needs sync with util-linux maintainer.
Comment 4 Ondrej Vasik 2012-11-02 04:33:29 EDT
Built and su/runuser moved to util-linux - although there are some troubles with latest glibc ( https://bugzilla.redhat.com/show_bug.cgi?id=872336 ) resolved by temporary hack, so another rebuild is likely.

Note You need to log in before you can comment on or make changes to this bug.